@import "../../index.scss";

@mixin icon-base {
    position: relative;
    overflow: hidden;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 35px;
    height: 35px;
    border-radius: 50px;
    transition: background-color 0.1s ease-in-out;
    box-shadow: 1px 1px 15px gray('500');
    background-color: theme-color('primary');
    &:hover {
        background-color: darken(theme-color('primary'), 10%);
    }
    svg {
        font-size: 1.5rem;
        color: $white;
    }
}
//----------- add icon ------------
.add_icon, .edit_icon {
    @include icon-base;
}

.info_icon {
    cursor: pointer;
    svg {
        font-size: 2rem;
        color: theme-color('danger');
    }
}

//----------- back icon -------------
.back_icon {
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 35px;
    height: 35px;
    border-radius: 50px;
    transition: background-color 0.1s ease-in-out;
    &:hover {
        background-color: gray('100');
    }
    svg {
        font-size: 1.2rem;        
    }
}

.ripple {
    position: relative;
    &:after {
        content: "";
        background: rgba(255, 255, 255, 0.4);
        display: block;
        position: absolute;
        border-radius: 50%;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        width: 450px;
        height: 450px;
        margin: auto;
        opacity: 0;
        transition: all 1s;
    }
    &:active:after {
        height: 0.5px;
        width: 0.5px;
        opacity: 1;
        transition: 0s;
    }
}

@media screen and (max-width: 598px) {
   
    .add_icon.mobile{
        position: fixed;        
        bottom: 5rem;
        left: 50%;
        transform: translateX(-50%);
        z-index: 200;
    }         
}
